Subject: RE: Manual Page
From: [email-masked] (Michael Czapski)

18 Sep 1998 17:52:05 -0700
Message-ID: <[email-masked]>
Reply-To: "[email-masked]" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "'Taro Ienaga'" <[email-masked]>,
        "[email-masked]"
    <[email-masked]>

On Friday, September 18, 1998 12:12 AM, Taro Ienaga 
[SMTP:[email-masked]] wrote:
> Hi, all.
>
> I'm making some tools used by Gnu-Win32 and thinking how does
> imprement manual page(s) (eg. unix man command).
>
> My idea is as follows:
>
>   Page Formatting Language: HTML
>   Manual Viewer:            WWW Browser
>
> The reason is that most of systems support HTML and have WWW Browser
> today.
>
> I want to look up manual pages from Gnu-Win32 (bash) command line and
> make a simple imprement just now.  the command, winman, is used as
> follows:
>
>   $ winman command
>
> Then winman searchs file 'command.html' in the pathes specified by the
> emviroment variables WINMANPAH and open it with the defalt web browser.
>
> My question is there is already implement such above in Internet.  If
> it already exists, I stop making my implement and use Internet's.
>
> Thanks,
>
> T.Ienaga
>
> -
Hello Taro,
Unless you can do much better than has been done already by numerous people, I 
would not bother.  There were, over the years, a number of implementations.  Do 
a web search for man2html and similar.  It will turn up a number of sites that 
offer the man pages in html format for public lookup, not to mention there 
being tools available to convert man pages to html.  Back in the dark ages of 
the www, circa 1994-1995 doing man pages in html format was one of the things 
budding cgi programmers would do just to learn how to do cgi :-)
------------------
Cheers ...
Michael Czapski

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".